<!-- -------------------- ./mgmt/multisign_menu.html -------------------- -->


<div class="thhome">
  <a class="mside-item" href="<?php echo $this->URL->GetMgmtInnerMethod('Doc2SignThumbs'); ?>"><i class="fas fa-th"></i>&nbsp;Tous les documents a signer</a>
</div>

<form id="menuFileForm" enctype="multipart/form-data" method="post" action="<?php echo $this->URL->GetMgmtMethod('MultiActionOnFiles'); ?>">
 <input type="hidden" NAME="ACTION" id="typeSignAction" value="">
  
<?php 
 $idind=1;
 foreach($this->F2SLIST as $dos) :
?>
<div class="thdoss">
  <a class="mside-item" href="<?php echo $this->URL->GetMgmtMethodWithDID('View',$dos['did']); ?>"><i class="far fa-folder-open"></i>&nbsp;<?php echo $dos['title']; ?></a>
</div>
<?php 
  foreach($dos['filelist'] as $ind => $value):
  $furl = $this->URL->GetInnerDataWithDos($dos,$value);
?>
     <div class="form-check mside-item">
       <input class="form-check-input check-sign" type="checkbox" value="<?php echo $dos['did']."@".$value; ?>" name="F2S[]" id="S-<?php printf("%08u", $idind); ?>" onclick="OneItemToggle(this)" >
       <label class="form-check-label" for="defaultCheck1">&nbsp;&nbsp;&nbsp;</label>
       <input class="form-check-input check-refuse" type="checkbox" value="<?php echo $dos['did']."@".$value; ?>" name="F2R[]" id="R-<?php printf("%08u", $idind); ?>" onclick="OneItemToggle(this)" >
       <label class="form-check-label" for="defaultCheck1">
	 <a href="<?php echo $furl; ?>"><?php echo $value; ?></a>
       </label>
     </div>
<?php 
  $idind++;
  endforeach;
endforeach;
 ?>
</form>
<div>
<!-- 
<button type="button" class="btn btn-sm btn-outline-secondary tousel" onclick="MultiSelectionToggleAll()"><i class="fas fa-arrow-up"></i>&nbsp;tout (dé)selectionner</button>
-->
<img src="/pub/img/imgmap_sign4.png" usemap="#all2sel">
<map name="all2sel">
  <area shape="rect" coords="57,37,133,51" alt="Signer" href="#" onclick="MultiSelectionToggleAll('sign')">
  <area shape="rect" coords="57,16,138,28" alt="Refuser" href="#" onclick="MultiSelectionToggleAll('refuse')">
</map>
</div>
<!-- obsolete, should be removed
<div class="row" id="container-action-buttons">
<div class="col-3">
<i class="far fa-check-square"></i><i class="fas fa-long-arrow-alt-right"></i>
</div>
<div class="col-9" id="action-buttons">
 <button type="button" class="btn btn-sm btn-outline-secondary tousel" onclick="MultiSignSelection()"><i class="fas fa-signature"></i>&nbsp;Signer la selection</button>
</div>
</div>
-->
<button type="button" class="btn btn-sm btn-primary" onclick="MultiSelectionAction('multi')" style="width: 100%; margin-top: 10px"><i class="far fa-thumbs-up"></i>&nbsp;Valider</button>
